BareMetal API, REST: Vrf.DeleteVrf
Deletes the specified VRF resource.
Deleting a VRF removes its data permanently and is irreversible.
The VRF must not have any associated PrivateSubnet resources.
Delete all private subnets before deleting the VRF, otherwise
the request will fail with INVALID_ARGUMENT error.
https://google.aip.dev/130 --)
HTTP request
DELETE https://baremetal.api.cloud.yandex.net/baremetal/v2/clouds/{cloudId}/folders/{folderId}/vrfs/{vrfId}
Path parameters
|
Field |
Description |
|
cloudId |
string Required field. ID of the parent cloud. To get the cloud ID, use a yandex.cloud.resourcemanager.v1.CloudService.List request. |
|
folderId |
string Required field. ID of the parent folder. To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request. |
|
vrfId |
string Required field. ID of the VRF to delete. To get the VRF ID, use a [VrfService.List] request. Value must match the regular expression |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |